\begin{tabular}{|c|c|c|c|c|c|}
\hline 
Action &  & Current path & Parent path & Children path & Data path\tabularnewline
\hline 
\hline 
create &  & x & x &  & \tabularnewline
\hline 
delete &  & x & x & x & \tabularnewline
\hline 
setData &  & x &  &  & \tabularnewline
\hline 
exists &  & x &  &  & \tabularnewline
\hline 
getData &  & x &  &  & x\tabularnewline
\hline 
getChildren &  & x &  & x & \tabularnewline
\hline 
\end{tabular}
